#ifndef DIFFTOOLS
#define DIFFTOOLS

typedef enum 
{
	DEL=0, CHG, ADD
} dt_modifType_t;

typedef struct modifInfo
{
	char 	ident;
	int 	id;
	char 	*name;
} dt_modifInfo_t;

typedef struct linkedLine
{
	char 				*line;
	struct linkedLine 	*prev;
	struct linkedLine 	*next;
} dt_linkedLine_t;


typedef struct modif
{
	dt_modifType_t type;
	int 		start;
	int 		end;
	int 		nbLine;
	
	dt_linkedLine_t *firstLine;
	dt_linkedLine_t *currentLine;
	
	
	struct modif *next;
	struct modif *prev;

} dt_modif_t;



extern int dt_flag();
extern void dt_init();
extern dt_modif_t *dt_isModif( int id );
extern int dt_checkDiff( char *fname, char *V1, char *V2 );

#endif
